
<?php
$ruta = "../";
require_once "../class/c_login.php";

if (!isset($_SESSION['user']))
    die(json_encode(['error' => 'No se ha iniciado sesión']));

$user = unserialize($_SESSION['user']);
require_once "../include/bd_pdo.php";

$nombre_carrera = mb_strtoupper($_POST['carreraEditar']); 
$facultad_id = $_POST['facultadEditar']; 
$nivel_id = $_POST['nivelEditar']; 
$clave_carrera = $_POST['nombreCarreraEditar']; 
$carrera_id = $_POST['id'];


$sql = "UPDATE  public.carrera SET carrera_nombre=:nombre_carrera, facultad_id = :facultad_id, nivel_id = :nivel_id, clave_carrera = :clave_carrera WHERE carrera_id = :id";

$params = [
    ':nombre_carrera' => $nombre_carrera,
    ':facultad_id' => $facultad_id,
    ':nivel_id' => $nivel_id,
    ':clave_carrera' => $clave_carrera,
    ':id' => $carrera_id
];

query($sql, $params, true);
header("Location: ../carreras.php?facultad=" . $_POST['facultad']);
exit();
